=== debian/changelog ===
libept-trinity (0.5.26debian14) wheezy; urgency=low

  * GCC 4.7 fixes

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 17 Dec 2012 13:46:17 +0100

libept-trinity (0.5.26debian8) squeeze; urgency=low

  * Uploaded this older version for temporary use to allow more time to fix libapt-front in the future

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 17 August 2010 01:26:00 +0600

libept (0.5.26ubuntu3) karmic; urgency=low

  * No change rebuild to fix misbuilt binaries on armel.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 21 Oct 2009 14:46:53 +0200

libept (0.5.26ubuntu2) karmic; urgency=low

  * rebuild against lastest libapt
  * update test count (we have Enhances now, see Debian #539331)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Sep 2009 22:37:26 +0200

libept (0.5.26ubuntu1) karmic; urgency=low

  * ept/debtags/vocabulary.cc: Add a missing const to fix FTBFS.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat, 19 Sep 2009 16:56:34 +0200

libept (0.5.26build1) jaunty; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Feb 2009 16:22:36 +0100

libept (0.5.26) unstable; urgency=low

  * Disable Xapian quality cutoff to make the results more deterministic
    and easier to understand (clients are now expected to trim their
    result list somehow).
  * Try to match the whole search string as a package name prefix,
    improving the result sets.

 -- Petr Rockai <mornfall@debian.org>  Wed, 15 Oct 2008 20:24:21 +0200

libept (0.5.25) unstable; urgency=low

  * Improvements to core::xapian robustness plus a few bugfixes there,
  * add core::package::ActionList::latest() to get at the topmost action.

 -- Petr Rockai <mornfall@debian.org>  Sun, 17 Aug 2008 12:10:49 +0200

libept (0.5.24) experimental; urgency=low

  * Rework core::xapian for both improved API and possibilities,
  * add some invalidate() methods to keep sources from using expired data,
  * implement package::Source::get< package::AnyVersion >(),
  * don't interfere with apt-get's autoremove marking,
  * a few relatively minor bugfixes.

 -- Petr Rockai <mornfall@debian.org>  Tue, 05 Aug 2008 19:55:50 +0200

libept (0.5.23) experimental; urgency=low

  * Added core::xapian::Source::update() to refresh xapian index
    (calls out to update-apt-xapian-index),
  * optimize core::desktop performance,
  * fix an important performance issue in core::apt::package's revertStates(),
  * fix many compiler warnings.

 -- Petr Rockai <mornfall@debian.org>  Thu, 31 Jul 2008 13:30:26 +0200

libept (0.5.22) unstable; urgency=high

  * Add missing build-dependency on g++-4.2 on ARM.

 -- Petr Rockai <mornfall@debian.org>  Sat, 26 Jul 2008 12:35:14 +0200

libept (0.5.21) unstable; urgency=high

  * Compile with g++-4.2 on ARM.  Closes: #487408.
  * Fixed apt::Apt package iteration.  Closes: #491412.
  * Updated standards-version (no changes required)
  * Created ufficial repository in collab-maint, and updated Vcs headers.

 -- Enrico Zini <enrico@debian.org>  Tue, 22 Jul 2008 18:15:40 +0100

libept (0.5.20) unstable; urgency=low

  * Really fix the failure this time. Missed a sort on one of the tests.
  * Build-depend on libwibble-dev >= 0.1.19.

 -- Petr Rockai <mornfall@debian.org>  Tue, 17 Jun 2008 23:18:05 +0200

libept (0.5.19) unstable; urgency=low

  * Fix a semi-random testsuite failure due to an operator< in
    desktop::Entry not defining a partial order.

 -- Petr Rockai <mornfall@debian.org>  Tue, 17 Jun 2008 16:25:12 +0200

libept (0.5.18) unstable; urgency=low

  [ Enrico Zini ]
  * Detect when the apt cache changes even after package removal.
  * Fix a bug in build system that caused FTBFS with cmake 2.6.
    Closes: bug#482227.

  [ Petr Rockai ]
  * Added package::Source::upgradableList(),
  * add API bits for recognizing held packages,
  * slight refactorings of the ept::core API,
  * parser for .desktop files,
  * a desktop::Source for reading in directories of .desktop files
    (app-install-data style),
  * fix a grave bug in AptException (it wasn't deriving std::exception...).

 -- Petr Rockai <mornfall@debian.org>  Sat, 14 Jun 2008 12:49:08 +0200

libept (0.5.17) unstable; urgency=low

  * Updated shlibs file.
  * Build paths in a smart way.  Closes: bug#472999.
  * Fixed problem with new GCC.  Closes: bug#472821.

 -- Enrico Zini <enrico@debian.org>  Fri, 28 Mar 2008 01:29:11 +0800

libept (0.5.16) unstable; urgency=high

  * Build-depend on new wibble
  * Install documentation.  Closes: #471744.
  * Urgency set to high as it is part of fixing #472476.

 -- Enrico Zini <enrico@debian.org>  Tue, 25 Mar 2008 14:54:51 +0800

libept (0.5.15) unstable; urgency=low

  [ Enrico Zini ]
  * Compiles with gcc 4.3.  Closes: #455334.
    Thanks Matthias Klose for the patch.
  * Builds with broken dash.  Closes: #459086.
    Thanks Daniel Hahler for the patch.
  * ept-cache depends on apt-xapian-index >= 0.5.  Closes: #457128.
  * ept-cache show works on multiple packages.  Closes: #462920.

  [ Petr Rockai ]
  * Enhancements to ept::core API, in support of Adept 3.0~alpha4.
  - Handle exceptions coming from _system-Lock().
  - AptException to slurp up _error into its context when being thrown.
  - Support for system upgrades in ActionList.
  - AptDatabase can be now told to use a custom OpProgress object.
  * Fix a bug in AptDatabase::openState() trying to use NULL pointer.

 -- Petr Rockai <mornfall@debian.org>  Mon, 10 Mar 2008 22:41:29 +0100

libept (0.5.14) unstable; urgency=low

  * Make the testsuite architecture-neutral, should fix build failures on
    all non-i386 arches.

 -- Petr Rockai <mornfall@debian.org>  Wed, 23 Jan 2008 12:18:44 +0100

libept (0.5.13) unstable; urgency=low

  * Merge my ept::core classes with Enrico's current libept iteration,
  * this makes the library capable of supporting future version of Adept,
  * use an internal copy of libwibble, with a new testing framework,
  * convert the testsuite to the new framework.
  

