## libept-trinity 0.5.26%2B1

=== debian/changelog ===
libept-trinity (0.5.26+1-1ubuntu16.04.0+5) xenial; urgency=low

  * Change debhelper compatibility level to 9

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 07 Apr 2020 13:17:57 +0200

libept-trinity (0.5.26+1-1ubuntu17.04.0+3~a) zesty; urgency=low

  * Change debhelper compatibility level to 7

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Aug 2016 18:53:28 +0200

libept-trinity (0.5.26+1-1ubuntu16.10.0+2~a) yakkety; urgency=low

  [ Michele Calgaro ]
  * Fixed support for debtags in newer distros (Debian Jessie/Stretch)

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Jan 2016 14:24:34 +0100

libept-trinity (0.5.26+1-1debian9.0.0+1~a) stretch; urgency=low

  * Add cmake minimum required declaration

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 26 May 2015 22:04:02 +0200

libept-trinity (0.5.26+1-1ubuntu15.04.0+0) vivid; urgency=low

  * Update wibble 1.1 patch to support wibble 0.1.x
  * Fix missing stdio.h include

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 14 May 2015 18:28:38 +0200

libept-trinity (0.5.26+1-0debian8.0.0+1) jessie; urgency=low

  * Add support for wibble 1.1
    Thanks Michele Calgaro for the patch.

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Dec 2013 20:21:22 +0100

libept-trinity (0.5.26+1-0debian8.0.0+0) jessie; urgency=low

  * Rebuild without dependency on tdelibs / kdelibs
  * Switch to quilt format

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 06 Aug 2013 00:00:55 +0200

libept-trinity (0.5.26debian14) jessie; urgency=low

  * GCC 4.7 fixes

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 17 Dec 2012 13:46:17 +0100
