=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,14 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 #DEB_CMAKE_EXTRA_FLAGS += -DOPT_FLAGS="" 
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+O_LD_PATH := $(LD_LIBRARY_PATH)
+export LD_LIBRARY_PATH = $(O_LD_PATH):/opt/trinity/lib
+
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
